Page MenuHomePhabricator

elm_entry/efl.ui.textbox: use common key shortcuts
ClosedPublic

Authored by ali.alzyod on Apr 14 2020, 1:06 AM.

Details

Summary

key value comes from keyboard down callbacks are common, regardless of language/layout but keyname is dependent on layout(in X11, in Wayland Can not be produced).
This common fix for both.

For example if keyboard layout in arabic then:
Ctrl+A will not work (in X11)

This one enhances D11606

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
ali.alzyod created this revision.Apr 14 2020, 1:06 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

ali.alzyod requested review of this revision.Apr 14 2020, 1:06 AM
ali.alzyod edited the summary of this revision. (Show Details)Apr 14 2020, 1:07 AM
ali.alzyod added reviewers: woohyun, bu5hm4n, zmike.
ali.alzyod edited the summary of this revision. (Show Details)Apr 14 2020, 1:17 AM
ali.alzyod edited the summary of this revision. (Show Details)May 3 2020, 1:49 AM
woohyun accepted this revision.Aug 4 2020, 7:33 PM

Correct modification :) Thanks.

This revision is now accepted and ready to land.Aug 4 2020, 7:33 PM
This revision was automatically updated to reflect the committed changes.